# Variable code_editor

code_editor: {
blockDisplay: boolean;
configFields: {
attributes: { options: string[] };
label: string;
name: string;
required: boolean;
type: string;
}[];
description: string;
isEdit: boolean;
run: (
nm: any,
v: any,
attrs: any,
cls: any,
required: any,
field: any,
) => string;
} = ...

#### Type Declaration

- ##### blockDisplay: boolean

- ##### configFields: {
  attributes: { options: string[] };
  label: string;
  name: string;
  required: boolean;
  type: string;
  }[]

- ##### description: string

- ##### isEdit: boolean

- ##### run: (nm: any, v: any, attrs: any, cls: any, required: any, field: any) => string

- Defined in packages/saltcorn-data/base-plugin/types.js:1387